aboutsummaryrefslogtreecommitdiffstats
path: root/\
diff options
context:
space:
mode:
authorArpit Chakladar <54011232+arpitchakladar@users.noreply.github.com>2026-01-15 19:20:55 +0530
committerArpit Chakladar <54011232+arpitchakladar@users.noreply.github.com>2026-01-15 19:20:55 +0530
commit410c3b5fc450a785d9050d3c807b6813fa901089 (patch)
treee10d2152a6030195e427fe92dc11be533d0a89c5 /\
parentd03d7f227e0931e33d8b53d461829b6d7051147c (diff)
downloadhome-manager-config-410c3b5fc450a785d9050d3c807b6813fa901089.tar.gz
home-manager-config-410c3b5fc450a785d9050d3c807b6813fa901089.zip
Updated flake + some minor changes
Diffstat (limited to '\')
-rw-r--r--\35
1 files changed, 0 insertions, 35 deletions
diff --git a/\ b/\
deleted file mode 100644
index a5f566d..0000000
--- a/\
+++ /dev/null
@@ -1,35 +0,0 @@
-set -euo pipefail
-
-stop_daemon() {
- echo "Killing warp-svc process..."
- sudo pkill -x warp-svc
- echo "warp-svc is not running."
-}
-
-disconnect_client() {
- echo "Disconnecting from WARP..."
- if warp-cli status 2>&1 | grep -qi "Connected"; then
- sudo warp-cli disconnect
- echo "Disconnected."
- else
- echo "WARP is already disconnected."
- fi
-}
-
-main() {
- if [[ -t 2 ]]; then
- echo -e "\e[31mERROR:\e[0m Must be run as root" >&2
- else
- echo "ERROR: Must be run as root" >&2
- fi
-
- disconnect_client
- stop_daemon
-
- echo "Final status:"
- warp-cli status || true
- sudo systemd-resolve --flush-caches
- sudo systemctl restart systemd-resolved
-}
-
-main "$@"